* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: PingFang SC;
    font-size: 14px;

}
@font-face {
    font-family: 'OPPOSans';
    src: url('../fonts/OPPOSans.ttf');
    font-weight: 400;
}
.main-body{
    /* display: flex;
    justify-content: center; */
   
    min-height: 100vh;
    background: url(../images/bg.png?v=1);
    background-size: cover;
    background-position: center;
    font-family: 'Poppins', sans-serif;
}

.bg-login{
    background: url(../images/bg.png?v=1);
}

.hideOver{
  width: 90px;
  white-space: nowrap; /* 防止文本换行 */
  overflow: hidden; /* 隐藏溢出的文本 */
  text-overflow: ellipsis; /* 显示省略号 */
}


/* .input-hidden{
    visibility: hidden;
}


.input-hidden +label{
    width: 16px;
    height: 16px;
    background-color: #ffffff;
    display: block;
    position: relative;
    top: 0;
    left: -2px;
    border-radius: 2px;
    border: 1px solid #d3d5d6;
    cursor: pointer;
    overflow: hidden;
}

.input-hidden:checked +label:before{
    content: "✔";     
    width: 16px;
    height: 16px;
    display: block;
    color: #ffffff;
    background-color: #296DF1;
    text-align: center;
    font-weight: bolder;
    line-height: 16px;
} */
.filter-link{
    font-size: 14px;
}


.input-hidden{
    cursor: pointer;
    position: relative;
    width: 16px;
    height: 16px;
    font-size: 14px;
    line-height: 16px;
    border: none !important;
    visibility: hidden
}
.input-hidden::after {
    position: absolute;
    top: 0;
    color: rgb(130, 35, 35);
    width: 16px;
    height: 16px;
    display: inline-block;
    visibility: visible;
    padding-left: 0px;
    text-align: center;
    content: ' ';
    border-radius: 3px;
    border: 1px solid #d3d5d6;
}

.input-hidden:checked::after {
    content: "";

    color: #fff;
    width: 16px;
    height: 16px;
    font-weight: bold;
    
    background: url(../images/ok.svg) no-repeat 0 0 / 100% 100%;;
}





input{ outline: none; }
.text_href{
    color: #296DF1;
    text-decoration: none;
    cursor: pointer;
}
.text_href:hover{
    color: #296DF1;
}
.w-full{
    width: 100%;
}

.color85{
    color: rgba(0, 0, 0, 0.85)
}
.color45{
    color: rgba(0, 0, 0, 0.45)
}
input[type="checkbox"] {
   border-width: 4px;
  }

.box-header-right-item-text:hover .qrcode-box{
    display: block;
    display: flex
}


  .qrcode-box{
    position: absolute;
    top: 2rem;
    right: 1.25rem;
    width: 150px;
    height: 150px;
    display: none;
    padding: 0.5rem;
    border-radius: 0.25rem;
    background: #ffffff;
    box-shadow: 5px 4px 10px 0px rgba(0, 0, 0, 0.1);
    z-index: 3;
  }




/* list */
.clear-btn{
    position: absolute;
    top: 1rem;
    right: 1.25rem;
    font-size: 14px;
  
}
.list-header{
    background: linear-gradient(180deg, #5AA4FF 0%, #296DF1 100%);
}
.list-left-header-item{
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}
.list-list-body{
    /* overflow: auto; */
    /* height: calc(100vh - 33rem); */
    min-height: 320px;
}

::-webkit-scrollbar {
    width: 0;
    height: 0;
  }

.list-text-line::after{
    content: '';
    position: absolute;
    top: 50%;
    margin-top: -0.35rem;
    width: 1px; /* 竖线的宽度 */
    height: 0.7rem; /* 竖线的高度 */
    background: rgba(0, 0, 0, 0.2); /* 竖线的颜色 */
    right: 0;

}

.list-box{
    border-bottom: 0.8px solid rgba(0, 0, 0, 0.05);
}
.show-more{
    display: flex !important;
}
.box-out:hover{
    background: linear-gradient(180deg, #F0F6FF 0%, #FFFFFF 100%);

box-shadow: 0px 4px 12px 0px rgba(161, 182, 191, 0.15);
}
.list-page a {
   
   font-size: 14px !important;
   line-height: 32px !important;
}
.ui-page ul li.active{
    border-color:unset !important;
    background:unset !important;
}

.ui-page ul li.active a{
    background-color: #296DF1;
    border: 1px solid rgba(0, 0, 0, 0.15);
}
/* .ui-page ul li a{
  padding: 3.5px 12px !important;
} */

.active{
    background-color: #296DF1;
    border: 1px solid rgba(0, 0, 0, 0.15);
    color: white
}

/* detail */


.right-message{
    max-height:100%
}
.border-bot{
    border-bottom: 1px solid rgba(0, 0, 0, 0.15);
}
/* 超出隐藏显示。。。 */
.text-overflow{
    white-space: nowrap; 
    overflow: hidden; 
    text-overflow: ellipsis; 
}
.detail-info,.detail-right-list{
    height: calc(100% - 4rem);
}
.cover-pdf{
    position: fixed;
    width: 896px;
    height: 3rem;
    bottom: 0;
    /* background: rgba(0, 0, 0, 0.5); */
}
.cover-dialog{
    position: fixed;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    top: 0;
    bottom: 0;
    z-index: 11;
}

/* 会员 */

/* .member-body{
    height: calc(100vh - 10rem);
} */
.member-card{
  background: url(../images/member-bg.png);
  background-size: cover;
  /* height: calc(100vh - 10rem); */
  background-position: center; /* 背景图片居中 */
  background-repeat: no-repeat; /* 背景图片不重复 */

}
.body-all{
    height: calc(100vh - 5.125rem);
}
.user-active{
    background: #296DF1;
    border-radius: 0.25rem;
    color: #FFFFFF;
}

.edit-input{
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
}
.user-member{
    background: url(../images/user/user-member-bg.png);
    background-position: center; /* 背景图片居中 */
    background-repeat: no-repeat; /* 背景图片不重复 */
    background-size: cover;
    height: 125px;
}
.vip-name{
    color: transparent;
    background-image: linear-gradient(107deg, #B15F2A 7%, #E3984E 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
}
.level-name{
    background: linear-gradient(116deg, #FFB357 20%, #DF7631 90%);
}
.level-name:hover{
  color: #ffffff;
}

.vip-cover{
    background: url(../images/user/vip-cover.svg);
    background-size: cover;
    background-repeat: no-repeat; /* 背景图片不重复 */
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.5rem;

}
.download-name{
    position: absolute;
    right: 0;
    bottom: 1rem;
    color: rgba(0, 0, 0, 0.45);
    font-size: 14px;
}
.user-box-active{
    display: block !important;
}
.user-active  .img-active{
    display: block !important;
}
.user-active  .img{
    display: none !important;
}
.order-table{
    font-size: 14px;
   
}
.thead-tr,.tbody-tr{
    line-height: 44px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
.sucess{
    color: #14A38B;
    background: rgba(92, 193, 126, 0.2);
}
.warning{
    color: #E3984E;
    background: fixed rgba(230, 165, 94, 0.2);
}
.error{
    color: #F15A24;
    background: rgba(239, 86, 70, 0.2);
}

.invoice-form .text-input{
    box-sizing: border-box;
    border: 1px solid rgba(0, 0, 0, 0.06);
    border-radius: 0.25rem;
    width: calc(100% - 8rem);
    padding: 0 1rem;

}
.invoice-form label{
    font-size: 14px;
    color: rgba(0, 0, 0, 0.85);
    display: inline-block;
    min-width: 6.25rem;
}
.invoice-form input::placeholder {
    color: rgba(0, 0, 0, 0.3);
    font-size: 14px;
    line-height: 1;
    vertical-align: middle;
  }
  .sub-btn{
   border: 1px solid rgba(0, 0, 0, 0.1);
   border-radius: 4px;
  
   height: 40px;
   line-height: 40px;
  }

  .vip-box{
    border: 1px solid #DEC6AA;
    cursor: pointer;
  }

  .editPhone input::placeholder {
    color: rgba(0, 0, 0, 0.3);
    font-size: 14px;
    line-height: 1;
    vertical-align: middle;
  }
 
  .input-boder-phone{
    border: 1px solid #d9d9d9;
    border-radius:8px;
    padding: 16px;
  }


  .vip-box:hover{
    background: linear-gradient(180deg, #FADFAF 2%, #FFF1CA 99%);
  }
  .vip-active{
    background: linear-gradient(180deg, #FADFAF 2%, #FFF1CA 99%);
  }
  .color25{
    color: rgba(0, 0, 0, 0.25);
  }
  .num-family{
    font-family: OPPOSans;
    font-weight: 600;
  }
  .tag-vip{
    background: linear-gradient(270deg, #EE903D 0%, #E84E27 100%);
    position: absolute;
    top: -0.75rem;
    color: #ffffff;
    font-size: 1rem;
    padding: 0.125rem  0.6rem;
    border-radius: 1rem 1rem 1rem  0;
  }
  .color65{
    color: rgba(0, 0, 0, 0.65);
  }
  .pay-box{
    background: url(../images/pay.png);
    background-size: cover;
    height: 10.5rem;
    background-repeat: no-repeat; /* 背景图片不重复 */
    background-position: center;
    border-radius: 0.75rem;
    border: 1px solid #DEC6AA;
  }


.ellipse{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.show-checkbox{
    display: flex !important;
    align-items: center;
}

.user_li{
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 40px;
    font-size: 16px;

}
.user_li:hover{
    text-decoration: none;
    color:inherit
}

.ui-media:hover{
    text-decoration: none;
    color:inherit
}


.vip-box.disabled{
    cursor: not-allowed;
    opacity: 0.4;
}

.dialog-header{
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding: 12px
}

.out::before{
    font-family: "iconfont";
    content: "\e7a1";
    font-style: normal;
}
.star::before{
    font-family: "iconfont";
    content: "\e82d";
    font-style: normal;
}
.box-border{
    border: 1px solid rgba(0, 0, 0, 0.1);
}
.new-active  .user-love-active{
  display: block !important;
}
.new-active  .user-love{
    display: none !important;
}

.sort-active{
    color:#296DF1
  }

/* a:hover{
    text-decoration: none;
    color:inherit
} */



  .expand{
    overflow: auto !important;
    height: auto !important;
  }
  input:-internal-autofill-selected {
    background-color: red !important;
  }

  .detail_tag{
    color: #FF9422;
    border: 1px solid #FF9422;
    font-size: 12px;
    padding: 0 6px;
    margin-right: 10px;
    border-radius: 2px;
    height: 20px;
    display: inline-block;

  }
  .detail_tag:hover{
    color: #FF9422;

  }

  .batch_Invice{
    background: rgba(41, 109, 241, 0.15);
    padding: 6px;
    width: 135px;
    border-radius: 4px;
  }
  .box_top{
    border-top: 1px solid rgba(0, 0, 0, 0.07);
  }
  .es_name{
    display: inline-block;
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .show_detail{
    position: absolute;
    bottom: 16px;
  }
  .border-info{
    border-radius: 0 0 10px 10px
  }
  .submit-btn{
    background: linear-gradient(99deg, #FF4F20 0%, #FF8422 100%);
    width: 400px;
    height: 60px;
    border-radius: 6px;
    text-align: center;
    cursor: pointer;
    p{
        line-height: 30px;
        color: #ffffff;
    }
  }
  .btn-box{
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .no-hover:hover{
    color:#ffffff
  }
  
  .dialog-close{
    position: absolute;
    top: 16px;
    right: 16px;
  }
  .data-pos{
    position: absolute;
    top: 0;
    width: 150px;
    right: 0;
  }
  .ui-modal-mask{
    background: rgba(0, 0, 0, 0.6) !important;
  }
  .ui-modal{
    border: none !important;
  }
  .expand .right-down{
    transform: rotate(180deg);
  }